Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfMeasureAlignType

    java.lang.Object
      java.lang.Enum<OdfMeasureAlignType>
          org.odftoolkit.odfdom.dom.type.draw.OdfMeasureAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfMeasureAlignType>

    public enum OdfMeasureAlignType

extends Enum<OdfMeasureAlignType>

DOM implementation of OpenDocument attribute draw:measure-align.

Enum Constant Summary
`AUTOMATIC`
`INSIDE`
`LEFT_OUTSIDE`
`RIGHT_OUTSIDE`

Method Summary
`static OdfMeasureAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfMeasureAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfMeasureAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfMeasureAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RIGHT_OUTSIDE

    public static final OdfMeasureAlignType RIGHT_OUTSIDE

### INSIDE

    public static final OdfMeasureAlignType INSIDE

### AUTOMATIC

    public static final OdfMeasureAlignType AUTOMATIC

### LEFT_OUTSIDE

    public static final OdfMeasureAlignType LEFT_OUTSIDE

Method Detail

### values

    public static OdfMeasureAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfMeasureAlignType c : OdfMeasureAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfMeasureAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfMeasureAlignType>`
  Returns:
    return the name of OdfMeasureAlignType

### toString

    public static String toString(OdfMeasureAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfMeasureAlignType, see draw:measure-align
  Returns:
    return the name of OdfMeasureAlignType

### enumValueOf

    public static OdfMeasureAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfMeasureAlignType
  Returns:
    return the constant of OdfMeasureAlignType, see draw:measure-align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.